:root {
    --primario: #9c27b0;
    --primarioOscuro: #89119d;
    --secundario: #ffce00;
    --secundarioOscuro: #cfaa14;
    --blanco: #fff;
    --negro: #000;

    --fuentePrincipal: 'Staatliches', cursive;
}


/* apply a natural box layout model to all elements, but allowing components to change */
html {

    box-sizing: border-box;
    /* tamano de la fuente para que 10px sean 1rem */
    font-size: 62.5%;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

/* globales */
/* globales */
/* globales */

body {
    background-color: var(--primario);
    /* tamano de 16 px */
    font-size: 1.6rem;
    /* interlineado de la pagina sobre la base de la fuente de 1,6 rem */
    line-height: 1.5;
}

p {
    font-size: 1.8rem;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--blanco);
}

a {
    /* para que los links de vengan subrayados */
    text-decoration: none;
}

img {
    /* hace que el ancho maximo total de las imagenes sea del 100% dandole el tamano principal*/
    width: 100%;
}

.contenedor {
    /* ancho maximo del contenedor donde va a estar todo */
    max-width: 120rem;
    /* margin para centrar contenido de acuerado al tamano de 1200 o menos*/
    margin: 2rem auto;
}

h1,
h2,
h3 {
    text-align: center;
    color: var(--secundario);
    font-family: var(--fuentePrincipal);
}

h1 {
    font-size: 4rem;
}

h2 {
    font-size: 3.2rem;
}

h3 {
    font-size: 2.4rem;
}

/* block element modifier
metodologia BEM */

/* crear codigo reutilizable y ordenado
con convenciones evitando colision de nombre */

/* reglas BEM

Bloques
ej  seccion significativda div clas
"cliente" div

Elemento
parte del bloque y depende delo bloque
'\
"cliente__nombre

Modificadores
class
"cliente__nombre--ceo"
*/


/* header */
.header {
    /* puede ser grid o flex */
    display: flex;
    /* para centrar horizontal row es justify content */
    /* flex-direction: row; */
    justify-content: center;
}

.header__logo {
    margin: 3rem 0;
}

/* footer */

.footer {
    background-color: var(--primarioOscuro);
    padding: 1rem 0;
    margin-top: 2rem;
}

.footer__texto {
    text-align: center;
    font-family: var(--fuentePrincipal);
    font-size: 2.2rem;
}

/* navegacion */

.navegacion {
    background-color: var(--primarioOscuro);
    padding: 1rem 0;
    /* centrar contenido dentro del bloque*/
    display: flex;
    justify-content: center;
    /* gap -- separa elementos */
    /* margin-right: 2rem; */
    gap: 2rem;
    /* separacion forma nueva  */

}

.navegacion__enlace {
    font-family: var(--fuentePrincipal);
    color: var(--blanco);
    font-size: 3rem;
    /* margin-right: 2rem; */
}

/* agarra el ultimo elementos de la clase .navegacion__enlace:last-of-type*/
/* .navegacion__enlace:last-of-type{
    margin-right: 0;
} */

.navegacion__enlace--activo,
.navegacion__enlace:hover {
    color: var(--secundario);
}

/* gGRID */

.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

@media (min-width: 768px) {
    .grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

.producto {
    background-color: var(--primarioOscuro);
}


.producto__imagen {
    width: 100%;
    padding: 1rem;

}

.producto__nombre {
    font-size: 4rem;
}

.producto__precio {
    font-size: 2.8rem;
    color: var(--secundario);
}

.producto__precio,
.producto__nombre {
    font-family: var(--fuentePrincipal);
    margin: 1rem 0;
    text-align: center;
    line-height: 1.2;
}

/* graficos */

.grafico {
    /* alto minimo para estar en la pagina (de todo hasta 30rem) */
    min-height: 30rem;
    /* para no repetir imagenes */
    background-repeat: no-repeat;
    /* para que la imagen llene todo el espacio disponible */
    background-size: cover;
    grid-column: 1/3;
}

.grafico--camisas {
    /* poner elementos en un grid de manera especial  */
    grid-row: 2 / 3;
    background-image: url(../img/grafico1.jpg);
}

.grafico--node {
    background-image: url(../img/grafico2.jpg);
    /* de 768 para abajo */
    grid-row: 8 / 9;
}

@media (min-width: 768px) {

    /* de ahi para arriba */
    .grafico--node {
        grid-row: 5 / 6;
        grid-column: 2 / 4;
    }

}

/* NOSOTROS */

.sobrenosotros {
    margin: 1rem auto;
    display: grid;
}

.contenedor__grid {
    display: grid;
    justify-content: center;
}

.contenedor__grid--texto {
    grid-row: 2 / 3;
    grid-column: 1 / 2;
}

@media (min-width: 768px) {
    .contenedor__grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
    }

    .contenedor__grid--foto {
        grid-row: 1/ 2;
        grid-column: 2 / 3;
    }

    .contenedor__grid--texto {
        grid-row: 1 / 2;
        grid-column: 1 / 2;
    }
}

.contenedor__grid--foto {
    grid-row: 1 / 2;
    grid-column: 1 / 2;
    padding: 0 1rem;
    width: 100%;
}



.contenedor__textoh2 {
    margin: 1rem auto;
}


/* partre de abajo */

.nosotros {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

.nosotros__opciones {
    display: grid;
}

.nosotros__iconos {
    display: grid;

}

.nosotros__iconos--efectos {
    margin: 0 auto;
}


@media (min-width: 768px) {
    .nosotros {
        width: 1000px;
        margin: 0 auto;
        grid-template-columns: repeat(4, 1fr);
    }
}

.nosotros__parrafos {
    font-size: 1.5rem;
    text-align: justify;
    margin: 0;
}

.nosotros__textohh {
    margin: 2rem 0;
}

/* pagina del producto */

@media (min-width: 768px) {
    .camisa {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2rem;
        width: 100%;
    }
}

.camisa__imagen {
    padding: 0 .5rem;
    align-items: center;
    justify-content: center;
}

.camisa__contenido{
}

.formulario {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 1rem;
}

.formulario__campo{
    /* border  */
    color: var(--blanco);
    border: 1rem solid var(--primarioOscuro);
    /* border-color: var(--primarioOscuro);
    border-width: 1rem;
    border-style: solid; */
    background-color: transparent;
    color: var(--blanco);
    font-size: 2rem;
    font-family: Arial, Helvetica, sans-serif;
    padding: 1rem;
    appearance: none;
    /* para quuitar flecha appearance: none; */
}

.formulario__submit{
    grid-column: 1 / 3;
    margin: 1rem;
    border: none;
}

@media (min-width:768px) {
    .formulario {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 1rem;
    }
    .formulario__submit{
        grid-row: 2 / 3;
    }
}

.formulario__campo:hover {
    cursor: pointer;
}

.formulario__opcion {
    background-color: var(--primarioOscuro);
}

.formulario__submit {
    background-color: var(--secundario);
    border: none;
    font-size: 2rem;
    font-family: var(--fuentePrincipal);
    padding: 1.5rem;
    /* transiciones */
    transition: background-color 0.3s ease;
    /* transition: font-size 0.3s ease; */
    grid-column: 1 / 3;
}

.formulario__submit:hover {
    cursor: pointer;
    /* font-size: 2.5rem; */
    background-color: var(--secundarioOscuro);
}

